import java.awt.Image;
import java.io.IOException;

import javax.imageio.ImageIO;

public class Toilet extends Obj implements java.io.Serializable {
	static final long serialVersionUID = 1L;

	private static final int toiletSize = 128;
	private static Image images;
	
	public static void loadImages (ClassLoader loader) throws IOException {
		final String path = "images/";

		images = ImageIO.read(loader.getResourceAsStream(path+"toilet.png"));		
		images = images.getScaledInstance(toiletSize, toiletSize*2/3, Image.SCALE_AREA_AVERAGING);
	}
	
	public Image getImage() {
		return images;
	}
	
	public int getSize() {
		return toiletSize;
	}
	
	public static int getSizeS() {
		return toiletSize;
	}

	public Toilet(int initX, int initY) {
		objType = Type.TOILET;
		x = initX;
		y = initY;
		z = 0;
	}
}